Package org.apache.maven.scm.provider.perforce.command.changelog

## Class PerforceDescribeConsumer

- java.lang.Object
- - org.apache.maven.scm.util.AbstractConsumer
  - - org.apache.maven.scm.provider.perforce.command.changelog.PerforceDescribeConsumer

All Implemented Interfaces:
  `org.codehaus.plexus.util.cli.StreamConsumer`

    public class PerforceDescribeConsumer
    extends AbstractConsumer

Parse the tagged output from "p4 describe -s [change] [change] [...]".

Author:
  Emmanuel Venisse, Olivier Lamy

### Constructor Summary

Constructors
`PerforceDescribeConsumer​(java.lang.String repoPath, java.lang.String userDatePattern, ScmLogger logger)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `consumeLine​(java.lang.String line)`
`java.util.List<ChangeSet>` `getModifications()`

### Methods inherited from class org.apache.maven.scm.util.AbstractConsumer

`getLogger, parseDate, parseDate, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PerforceDescribeConsumer

    public PerforceDescribeConsumer​(java.lang.String repoPath,
                                    java.lang.String userDatePattern,
                                    ScmLogger logger)

### Method Detail

#### getModifications

    public java.util.List<ChangeSet> getModifications()
                                               throws ScmException

Throws:
  `ScmException`

#### consumeLine

    public void consumeLine​(java.lang.String line)